Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

InputStream Member List

This is the complete list of members for InputStream, including all inherited members.

addRef() const | ObjectImpl | virtual
cast(const Class &clazz) const =0 | Object | pure virtual
close()=0 | InputStream | pure virtual
getClass() const | Object | virtual
getStaticClass() | Object | static
InputStream() | InputStream | protected
instanceof(const Class &clazz) const =0 | Object | pure virtual
ObjectImpl() | ObjectImpl |
read(ByteBuffer &dst)=0 | InputStream | pure virtual
ref | ObjectImpl | mutable protected
registerClass() | Object | static
releaseRef() const | ObjectImpl | virtual
~InputStream() | InputStream | protected virtual
~Object() | Object | inline virtual
~ObjectImpl() | ObjectImpl | virtual